from flask import Flask
from src.server.server import Server
from src.routes.routes import default_route


def main():
    server = Server()

    server.register_route("/", default_route, defaults={"path": ""})
    server.register_route("/<path:path>", default_route)

    server.run()


if __name__ == "__main__":
    main()
